/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author LH
 */
public class GgtMit
{
        public static void main(String[] args) throws Exception
    {
        InteractiveIO iio = new InteractiveIO();
        int x = Integer.parseInt(iio.promptAndRead("Zahl 1"));
        int y = Integer.parseInt(iio.promptAndRead("Zahl 2"));
        int i = 0;
        while (i<=100)
        {
            System.out.println(calculateGGTcheck(x+i,y));
            i++;
        }
    }
    
        
        private static int calculateGGTcheck(int x,int y)
        {
            return y==0?0:calculateGGT(x,y);
            
        }
        
        
    private static int calculateGGT(int x, int y)
    {
        int rest = x%y;
        return rest==0?y:calculateGGT(y, rest);
    }
}
